Loading...
Searching...
No Matches
Ui::CButton Class Reference
Inheritance diagram for Ui::CButton:
[legend]

## Public Member Functions

bool | Create (Math::Point pos, Math::Point dim, int icon, EventType eventType) override
bool | EventProcess (const Event &event) override
void | Draw () override
void | SetImmediat (bool immediat)
bool | GetImmediat ()
void | SetRepeat (bool bRepeat)
bool | GetRepeat ()
Public Member Functions inherited from Ui::CControl
virtual void | SetPos (Math::Point pos)
virtual Math::Point | GetPos ()
virtual void | SetDim (Math::Point dim)
virtual Math::Point | GetDim ()
virtual bool | SetState (int state, bool bState)
virtual bool | SetState (int state)
virtual bool | ClearState (int state)
virtual bool | TestState (int state)
virtual int | GetState ()
virtual void | SetIcon (int icon)
virtual int | GetIcon ()
virtual void | SetName (std::string name, bool bTooltip=true)
virtual std::string | GetName ()
virtual void | SetTextAlign (Gfx::TextAlign mode)
virtual int | GetTextAlign ()
virtual void | SetFontSize (float size)
virtual float | GetFontSize ()
virtual void | SetFontStretch (float stretch)
virtual float | GetFontStretch ()
virtual void | SetFontType (Gfx::FontType font)
virtual Gfx::FontType | GetFontType ()
virtual bool | SetTooltip (std::string name)
virtual bool | GetTooltip (Math::Point pos, std::string &name)
virtual void | SetFocus (CControl *focusControl)
virtual bool | GetFocus ()
virtual EventType | GetEventType ()

## Protected Attributes

bool | m_bCapture
bool | m_bImmediat
bool | m_bRepeat
float | m_repeat
Protected Attributes inherited from Ui::CControl
Gfx::CEngine * | m_engine
Gfx::CParticle * | m_particle
CEventQueue * | m_event
CRobotMain * | m_main
CSoundInterface * | m_sound
CSettings * | m_settings
Math::Point | m_pos
Math::Point | m_dim
int | m_icon
EventType | m_eventType
int | m_state
float | m_fontSize
float | m_fontStretch
Gfx::FontType | m_fontType
Gfx::TextAlign | m_textAlign
std::string | m_name
std::string | m_tooltip
bool | m_bFocus
bool | m_bCapture
bool | m_bGlint
Math::Point | m_glintCorner1
Math::Point | m_glintCorner2
float | m_glintProgress
Math::Point | m_glintMouse

## Additional Inherited Members

Protected Member Functions inherited from Ui::CControl
void | GlintDelete ()
void | GlintCreate (Math::Point ref, bool bLeft=true, bool bUp=true)
void | GlintFrame (const Event &event)
void | DrawPart (int icon, float zoom, float ex)
void | DrawIcon (Math::Point pos, Math::Point dim, Math::Point uv1, Math::Point uv2, float ex=0.0f)
void | DrawIcon (Math::Point pos, Math::Point dim, Math::Point uv1, Math::Point uv2, Math::Point corner, float ex)
void | DrawWarning (Math::Point pos, Math::Point dim)
void | DrawShadow (Math::Point pos, Math::Point dim, float deep=1.0f)
virtual bool | Detect (Math::Point pos)
std::string | GetResourceName (EventType eventType)
int | SetButtonTextureForIcon (int icon)
| Set texture in m_engine to correct buttonX.png for given icon.

## Member Function Documentation

## Create()

bool Ui::CButton::Create | ( | Math::Point | pos,
|  | Math::Point | dim,
|  | int | icon,
|  | EventType | eventType )

override virtual

Reimplemented from Ui::CControl.

## EventProcess()

bool Ui::CButton::EventProcess | ( | const Event & | event | ) |

override virtual

Reimplemented from Ui::CControl.

## Draw()

void Ui::CButton::Draw | ( |  | ) |

override virtual

Reimplemented from Ui::CControl.

The documentation for this class was generated from the following files:

- src/ui/controls/button.h
- src/ui/controls/button.cpp